



if not exist %LIBRARY_BIN%\\abseil_test_dll.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %LIBRARY_LIB%\\abseil_test_dll.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
pkg-config --print-errors --exact-version "20240116" absl_scoped_mock_log
IF %ERRORLEVEL% NEQ 0 exit /B 1
pkg-config --print-errors --exact-version "20240116" abseil_test_dll
IF %ERRORLEVEL% NEQ 0 exit /B 1
cd cmake_test
IF %ERRORLEVEL% NEQ 0 exit /B 1
set "CMAKE_ARGS=%CMAKE_ARGS% -GNinja -DCMAKE_BUILD_TYPE=Release"
IF %ERRORLEVEL% NEQ 0 exit /B 1
cmake %CMAKE_ARGS% -DCMAKE_CXX_STANDARD=17 .
IF %ERRORLEVEL% NEQ 0 exit /B 1
set TRY_TEST_TARGET=1
IF %ERRORLEVEL% NEQ 0 exit /B 1
cmake --build .
IF %ERRORLEVEL% NEQ 0 exit /B 1
flags_example.exe
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
